<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>/home/gtbldadm/nightlybuilds/mmwave_sdk/ti/demo/xwr14xx/mmw/data_path.h File Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_b6c2a257bfab6380ca9b3cb94b12cb25.html">demo</a></li><li class="navelem"><a class="el" href="dir_2c9e0d57919156e517faa12522fe0912.html">xwr14xx</a></li><li class="navelem"><a class="el" href="dir_d0e0924169a62a2cc2921843855ac0c7.html">mmw</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#define-members">Macros</a> &#124;
<a href="#typedef-members">Typedefs</a> &#124;
<a href="#enum-members">Enumerations</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">data_path.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the data path processing header.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &lt;ti/sysbios/knl/Semaphore.h&gt;</code><br />
<code>#include &lt;ti/common/sys_common.h&gt;</code><br />
<code>#include &lt;ti/common/mmwave_error.h&gt;</code><br />
<code>#include &lt;ti/drivers/adcbuf/ADCBuf.h&gt;</code><br />
<code>#include &lt;ti/drivers/edma/edma.h&gt;</code><br />
<code>#include &lt;ti/drivers/hwa/hwa.h&gt;</code><br />
<code>#include &lt;ti/demo/io_interface/detected_obj.h&gt;</code><br />
<code>#include &lt;ti/demo/io_interface/mmw_config.h&gt;</code><br />
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structcfar_det_output.html">cfarDetOutput</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Detected object parameters filled by HWA CFAR.  <a href="structcfar_det_output.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo__timing_info.html">MmwDemo_timingInfo</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timing information.  <a href="struct_mmw_demo__timing_info.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo__data_path_c_q__t.html">MmwDemo_dataPathCQ_t</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Millimeter Wave Demo Data Path CQ configuration.  <a href="struct_mmw_demo__data_path_c_q__t.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___data_path_obj__t.html">MmwDemo_DataPathObj_t</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Millimeter Wave Demo Data Path Information.  <a href="struct_mmw_demo___data_path_obj__t.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo_mem_pool__t.html">MmwDemoMemPool_t</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:aaf6f9ddb87af9a06998130a50af41b97"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="data__path_8h.html#aaf6f9ddb87af9a06998130a50af41b97">MMW_WIN_HANNING</a>&#160;&#160;&#160;0</td></tr>
<tr class="separator:aaf6f9ddb87af9a06998130a50af41b97"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9663c475dfc74987d71cd5d96cf1edda"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="data__path_8h.html#a9663c475dfc74987d71cd5d96cf1edda">MMW_WIN_BLACKMAN</a>&#160;&#160;&#160;1</td></tr>
<tr class="separator:a9663c475dfc74987d71cd5d96cf1edda"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9d80e66a1751be86a54aea42919e1d6c"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="data__path_8h.html#a9d80e66a1751be86a54aea42919e1d6c">MMW_WIN_RECT</a>&#160;&#160;&#160;2</td></tr>
<tr class="separator:a9d80e66a1751be86a54aea42919e1d6c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a95442efb4452ea2af94dd34f70ef5515"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a95442efb4452ea2af94dd34f70ef5515"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="data__path_8h.html#a95442efb4452ea2af94dd34f70ef5515">MMW_NUM_ANGLE_BINS</a>&#160;&#160;&#160;64</td></tr>
<tr class="memdesc:a95442efb4452ea2af94dd34f70ef5515"><td class="mdescLeft">&#160;</td><td class="mdescRight">Azimuth FFT size. <br /></td></tr>
<tr class="separator:a95442efb4452ea2af94dd34f70ef5515"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acab7c9fc6139e9d8192c8b9b8ed528ed"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="acab7c9fc6139e9d8192c8b9b8ed528ed"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="data__path_8h.html#acab7c9fc6139e9d8192c8b9b8ed528ed">MMWDEMO_AZIMUTH_TWO_PEAK_DETECTION_ENABLE</a>&#160;&#160;&#160;1</td></tr>
<tr class="memdesc:acab7c9fc6139e9d8192c8b9b8ed528ed"><td class="mdescLeft">&#160;</td><td class="mdescRight">Flag to enable/disable two peak detection in azimuth for same range and velocity. <br /></td></tr>
<tr class="separator:acab7c9fc6139e9d8192c8b9b8ed528ed"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a518239edb48a7db80acedb6e20275cc6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a518239edb48a7db80acedb6e20275cc6"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="data__path_8h.html#a518239edb48a7db80acedb6e20275cc6">MMWDEMO_AZIMUTH_TWO_PEAK_THRESHOLD_SCALE</a>&#160;&#160;&#160;(0.5)</td></tr>
<tr class="memdesc:a518239edb48a7db80acedb6e20275cc6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Threshold for two peak detection in azimuth for same range and velocity, if 2nd peak heigth &gt; first peak height * this scale then declare 2nd peak as detected. <br /></td></tr>
<tr class="separator:a518239edb48a7db80acedb6e20275cc6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a164adbd2f53016cefe65ca940b0c9ce0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a164adbd2f53016cefe65ca940b0c9ce0"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="data__path_8h.html#a164adbd2f53016cefe65ca940b0c9ce0">MMW_EDMA_CH_SIGIMG_MON</a>&#160;&#160;&#160;EDMA_TPCC0_REQ_DFE_CHIRP_AVAIL</td></tr>
<tr class="memdesc:a164adbd2f53016cefe65ca940b0c9ce0"><td class="mdescLeft">&#160;</td><td class="mdescRight">EDMA definitions for CQ. <br /></td></tr>
<tr class="separator:a164adbd2f53016cefe65ca940b0c9ce0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aecc15f98b4242bcbaaee5cecb6bf08aa"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aecc15f98b4242bcbaaee5cecb6bf08aa"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="data__path_8h.html#aecc15f98b4242bcbaaee5cecb6bf08aa">MMW_LVDS_STREAM_CBUFF_EDMA_CH_0</a>&#160;&#160;&#160;EDMA_TPCC0_REQ_CBUFF_0</td></tr>
<tr class="memdesc:aecc15f98b4242bcbaaee5cecb6bf08aa"><td class="mdescLeft">&#160;</td><td class="mdescRight">EDMA definitions for CBUFF/LVDS streaming. <br /></td></tr>
<tr class="separator:aecc15f98b4242bcbaaee5cecb6bf08aa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaffaed1bb86146bf4fcbc5cb2a091842"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="data__path_8h.html#aaffaed1bb86146bf4fcbc5cb2a091842">MMW_HWA_NUM_MEM_BUFS</a>&#160;&#160;&#160;4</td></tr>
<tr class="separator:aaffaed1bb86146bf4fcbc5cb2a091842"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr class="memitem:a5ee6b4e30d90218d02ff880f63da55cc"><td class="memItemLeft" align="right" valign="top">typedef enum <a class="el" href="data__path_8h.html#a8db0f12d3b1bb9c6d76e0e5dc26ab1b9">DataPath_chain2DFftSel_e</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="data__path_8h.html#a5ee6b4e30d90218d02ff880f63da55cc">DataPath_chain2DFftSel</a></td></tr>
<tr class="memdesc:a5ee6b4e30d90218d02ff880f63da55cc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Data path chain selection.  <a href="#a5ee6b4e30d90218d02ff880f63da55cc">More...</a><br /></td></tr>
<tr class="separator:a5ee6b4e30d90218d02ff880f63da55cc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a16f0ee49e3b6e93b1911bddbb137ec8c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a16f0ee49e3b6e93b1911bddbb137ec8c"></a>
typedef volatile struct <a class="el" href="structcfar_det_output.html">cfarDetOutput</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="data__path_8h.html#a16f0ee49e3b6e93b1911bddbb137ec8c">cfarDetOutput_t</a></td></tr>
<tr class="memdesc:a16f0ee49e3b6e93b1911bddbb137ec8c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Detected object parameters filled by HWA CFAR. <br /></td></tr>
<tr class="separator:a16f0ee49e3b6e93b1911bddbb137ec8c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aca824704b6f68c4c3d39afe136796fcb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aca824704b6f68c4c3d39afe136796fcb"></a>
typedef struct <a class="el" href="struct_mmw_demo__timing_info.html">MmwDemo_timingInfo</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="data__path_8h.html#aca824704b6f68c4c3d39afe136796fcb">MmwDemo_timingInfo_t</a></td></tr>
<tr class="memdesc:aca824704b6f68c4c3d39afe136796fcb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timing information. <br /></td></tr>
<tr class="separator:aca824704b6f68c4c3d39afe136796fcb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab1fa47a33abf2d0af6aa33264bc8e357"><td class="memItemLeft" align="right" valign="top">typedef struct <a class="el" href="struct_mmw_demo__data_path_c_q__t.html">MmwDemo_dataPathCQ_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="data__path_8h.html#ab1fa47a33abf2d0af6aa33264bc8e357">MmwDemo_dataPathCQ</a></td></tr>
<tr class="memdesc:ab1fa47a33abf2d0af6aa33264bc8e357"><td class="mdescLeft">&#160;</td><td class="mdescRight">Millimeter Wave Demo Data Path CQ configuration.  <a href="#ab1fa47a33abf2d0af6aa33264bc8e357">More...</a><br /></td></tr>
<tr class="separator:ab1fa47a33abf2d0af6aa33264bc8e357"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3a731d225c288b027f44937ecfdfa320"><td class="memItemLeft" align="right" valign="top">typedef struct <a class="el" href="struct_mmw_demo___data_path_obj__t.html">MmwDemo_DataPathObj_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="data__path_8h.html#a3a731d225c288b027f44937ecfdfa320">MmwDemo_DataPathObj</a></td></tr>
<tr class="memdesc:a3a731d225c288b027f44937ecfdfa320"><td class="mdescLeft">&#160;</td><td class="mdescRight">Millimeter Wave Demo Data Path Information.  <a href="#a3a731d225c288b027f44937ecfdfa320">More...</a><br /></td></tr>
<tr class="separator:a3a731d225c288b027f44937ecfdfa320"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="enum-members"></a>
Enumerations</h2></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ad48eaa811b6b4d8f1d226204b351e1b2"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="data__path_8h.html#ad48eaa811b6b4d8f1d226204b351e1b2">MmwDemo_hwaInit</a> (<a class="el" href="data__path_8h.html#a3a731d225c288b027f44937ecfdfa320">MmwDemo_DataPathObj</a> *obj)</td></tr>
<tr class="separator:ad48eaa811b6b4d8f1d226204b351e1b2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:add2b6a63fb8fa199886886a5a227c3d1"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="data__path_8h.html#add2b6a63fb8fa199886886a5a227c3d1">MmwDemo_edmaInit</a> (<a class="el" href="data__path_8h.html#a3a731d225c288b027f44937ecfdfa320">MmwDemo_DataPathObj</a> *obj)</td></tr>
<tr class="separator:add2b6a63fb8fa199886886a5a227c3d1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a19cb79f9766382e24069ac8707a1e1fe"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="data__path_8h.html#a19cb79f9766382e24069ac8707a1e1fe">MmwDemo_hwaOpen</a> (<a class="el" href="data__path_8h.html#a3a731d225c288b027f44937ecfdfa320">MmwDemo_DataPathObj</a> *obj, SOC_Handle socHandle)</td></tr>
<tr class="separator:a19cb79f9766382e24069ac8707a1e1fe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0204c597440aeda4305e9e6cc14d317a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="data__path_8h.html#a0204c597440aeda4305e9e6cc14d317a">MmwDemo_edmaOpen</a> (<a class="el" href="data__path_8h.html#a3a731d225c288b027f44937ecfdfa320">MmwDemo_DataPathObj</a> *obj)</td></tr>
<tr class="separator:a0204c597440aeda4305e9e6cc14d317a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a89a15b56fb6d936737537372be6a7d4c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="data__path_8h.html#a89a15b56fb6d936737537372be6a7d4c">MmwDemo_EDMA_errorCallbackFxn</a> (EDMA_Handle handle, EDMA_errorInfo_t *errorInfo)</td></tr>
<tr class="separator:a89a15b56fb6d936737537372be6a7d4c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9b31a42f3f040f1571ca19ca0ea0cbde"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="data__path_8h.html#a9b31a42f3f040f1571ca19ca0ea0cbde">MmwDemo_EDMA_transferControllerErrorCallbackFxn</a> (EDMA_Handle handle, EDMA_transferControllerErrorInfo_t *errorInfo)</td></tr>
<tr class="separator:a9b31a42f3f040f1571ca19ca0ea0cbde"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab9931601c67498ae69dad047376d4672"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="data__path_8h.html#ab9931601c67498ae69dad047376d4672">MmwDemo_memPoolReset</a> (<a class="el" href="struct_mmw_demo_mem_pool__t.html">MmwDemoMemPool_t</a> *pool)</td></tr>
<tr class="separator:ab9931601c67498ae69dad047376d4672"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab46a1f7b2b1eea79d22b428e311af4a3"><td class="memItemLeft" align="right" valign="top">uint8_t *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="data__path_8h.html#ab46a1f7b2b1eea79d22b428e311af4a3">MmwDemo_memPoolAlloc</a> (<a class="el" href="struct_mmw_demo_mem_pool__t.html">MmwDemoMemPool_t</a> *pool, uint32_t size)</td></tr>
<tr class="separator:ab46a1f7b2b1eea79d22b428e311af4a3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acd40b62a89cf78598f36e5627c05ee38"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="data__path_8h.html#acd40b62a89cf78598f36e5627c05ee38">MmwDemo_dataPathObjInit</a> (<a class="el" href="data__path_8h.html#a3a731d225c288b027f44937ecfdfa320">MmwDemo_DataPathObj</a> *obj, MmwDemo_CliCfg_t *cliCfg, MmwDemo_CliCommonCfg_t *cliCommonCfg)</td></tr>
<tr class="separator:acd40b62a89cf78598f36e5627c05ee38"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adbfd714ad8ab3114af93ad0460529883"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="data__path_8h.html#adbfd714ad8ab3114af93ad0460529883">MmwDemo_dataPathCfgBuffers</a> (<a class="el" href="data__path_8h.html#a3a731d225c288b027f44937ecfdfa320">MmwDemo_DataPathObj</a> *obj, <a class="el" href="struct_mmw_demo_mem_pool__t.html">MmwDemoMemPool_t</a> *pool)</td></tr>
<tr class="separator:adbfd714ad8ab3114af93ad0460529883"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1f322283a6721ee9d95a70b23e6fc219"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="data__path_8h.html#a1f322283a6721ee9d95a70b23e6fc219">MmwDemo_dataPathConfigCommon</a> (<a class="el" href="data__path_8h.html#a3a731d225c288b027f44937ecfdfa320">MmwDemo_DataPathObj</a> *obj)</td></tr>
<tr class="separator:a1f322283a6721ee9d95a70b23e6fc219"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaaebfd9e699625941533ad1789c19505"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="data__path_8h.html#aaaebfd9e699625941533ad1789c19505">MmwDemo_dcRangeSignatureCompensation</a> (<a class="el" href="data__path_8h.html#a3a731d225c288b027f44937ecfdfa320">MmwDemo_DataPathObj</a> *obj)</td></tr>
<tr class="separator:aaaebfd9e699625941533ad1789c19505"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a10084eedccc0746f970dda6122ceb122"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="data__path_8h.html#a10084eedccc0746f970dda6122ceb122">MmwDemo_process2D</a> (<a class="el" href="data__path_8h.html#a3a731d225c288b027f44937ecfdfa320">MmwDemo_DataPathObj</a> *obj)</td></tr>
<tr class="separator:a10084eedccc0746f970dda6122ceb122"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af6fc200c4242ea6bfbde335b06c1af82"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="data__path_8h.html#af6fc200c4242ea6bfbde335b06c1af82">MmwDemo_processCfar</a> (<a class="el" href="data__path_8h.html#a3a731d225c288b027f44937ecfdfa320">MmwDemo_DataPathObj</a> *obj, uint16_t *numDetectedObjects)</td></tr>
<tr class="separator:af6fc200c4242ea6bfbde335b06c1af82"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adf96cde0ca23b6e9fd9ac3dab9f6a656"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="data__path_8h.html#adf96cde0ca23b6e9fd9ac3dab9f6a656">MmwDemo_processAngle</a> (<a class="el" href="data__path_8h.html#a3a731d225c288b027f44937ecfdfa320">MmwDemo_DataPathObj</a> *obj)</td></tr>
<tr class="separator:adf96cde0ca23b6e9fd9ac3dab9f6a656"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ace4c5b918f8614a44af79c92a51585c8"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="data__path_8h.html#ace4c5b918f8614a44af79c92a51585c8">MmwDemo_config1D_HWA</a> (<a class="el" href="data__path_8h.html#a3a731d225c288b027f44937ecfdfa320">MmwDemo_DataPathObj</a> *obj)</td></tr>
<tr class="separator:ace4c5b918f8614a44af79c92a51585c8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac3e6713170066d2366a19285975bd929"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="data__path_8h.html#ac3e6713170066d2366a19285975bd929">MmwDemo_dataPathTrigger1D</a> (<a class="el" href="data__path_8h.html#a3a731d225c288b027f44937ecfdfa320">MmwDemo_DataPathObj</a> *obj)</td></tr>
<tr class="separator:ac3e6713170066d2366a19285975bd929"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2b7eddbfa4381fd56af895b001c6242f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="data__path_8h.html#a2b7eddbfa4381fd56af895b001c6242f">MmwDemo_dataPathWait1D</a> (<a class="el" href="data__path_8h.html#a3a731d225c288b027f44937ecfdfa320">MmwDemo_DataPathObj</a> *obj)</td></tr>
<tr class="separator:a2b7eddbfa4381fd56af895b001c6242f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a25cda24aa787fd20bb4e9962df3aafaa"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="data__path_8h.html#a25cda24aa787fd20bb4e9962df3aafaa">MmwDemo_configAngleEstimation_HWA</a> (<a class="el" href="data__path_8h.html#a3a731d225c288b027f44937ecfdfa320">MmwDemo_DataPathObj</a> *obj, uint32_t numObjOut)</td></tr>
<tr class="separator:a25cda24aa787fd20bb4e9962df3aafaa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6e1da84b2606d49e662ea15521dfac43"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="data__path_8h.html#a6e1da84b2606d49e662ea15521dfac43">MmwDemo_dataPathTriggerAngleEstimation</a> (<a class="el" href="data__path_8h.html#a3a731d225c288b027f44937ecfdfa320">MmwDemo_DataPathObj</a> *obj)</td></tr>
<tr class="separator:a6e1da84b2606d49e662ea15521dfac43"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a63f3f125b5220269da0f6ca16df433ac"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="data__path_8h.html#a63f3f125b5220269da0f6ca16df433ac">MmwDemo_dataPathWaitAngleEstimation</a> (<a class="el" href="data__path_8h.html#a3a731d225c288b027f44937ecfdfa320">MmwDemo_DataPathObj</a> *obj)</td></tr>
<tr class="separator:a63f3f125b5220269da0f6ca16df433ac"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa3578be244881cfac86b9834f5626d9a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="data__path_8h.html#aa3578be244881cfac86b9834f5626d9a">MmwDemo_edmaClose</a> (<a class="el" href="data__path_8h.html#a3a731d225c288b027f44937ecfdfa320">MmwDemo_DataPathObj</a> *obj)</td></tr>
<tr class="separator:aa3578be244881cfac86b9834f5626d9a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a433e4de5eccb5bdf35e4c164a0eab0fe"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="data__path_8h.html#a433e4de5eccb5bdf35e4c164a0eab0fe">MmwDemo_dataPathDeleteSemaphore</a> (<a class="el" href="data__path_8h.html#a3a731d225c288b027f44937ecfdfa320">MmwDemo_DataPathObj</a> *obj)</td></tr>
<tr class="separator:a433e4de5eccb5bdf35e4c164a0eab0fe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6a6a571c3437c70a22e5c1b65cd35c6d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="data__path_8h.html#a6a6a571c3437c70a22e5c1b65cd35c6d">MmwDemo_hwaClose</a> (<a class="el" href="data__path_8h.html#a3a731d225c288b027f44937ecfdfa320">MmwDemo_DataPathObj</a> *obj)</td></tr>
<tr class="separator:a6a6a571c3437c70a22e5c1b65cd35c6d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2d544fba2a4525a7bca8d3ed5edb17a3"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="data__path_8h.html#a2d544fba2a4525a7bca8d3ed5edb17a3">MmwDemo_pow2roundup</a> (uint32_t x)</td></tr>
<tr class="separator:a2d544fba2a4525a7bca8d3ed5edb17a3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This is the data path processing header. </p>
<dl class="section user"><dt></dt><dd>NOTE: (C) Copyright 2016 Texas Instruments, Inc.</dd></dl>
<p>Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:</p>
<p>Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.</p>
<p>Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.</p>
<p>Neither the name of Texas Instruments Incorporated nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.</p>
<p>THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. </p>
</div><h2 class="groupheader">Macro Definition Documentation</h2>
<a class="anchor" id="aaffaed1bb86146bf4fcbc5cb2a091842"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define MMW_HWA_NUM_MEM_BUFS&#160;&#160;&#160;4</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Partiion HWA memory into 4 equal parts - M0,M1,M2,M3. </p>

</div>
</div>
<a class="anchor" id="a9663c475dfc74987d71cd5d96cf1edda"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define MMW_WIN_BLACKMAN&#160;&#160;&#160;1</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Blackman window </p>

</div>
</div>
<a class="anchor" id="aaf6f9ddb87af9a06998130a50af41b97"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define MMW_WIN_HANNING&#160;&#160;&#160;0</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Hanning window </p>

</div>
</div>
<a class="anchor" id="a9d80e66a1751be86a54aea42919e1d6c"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define MMW_WIN_RECT&#160;&#160;&#160;2</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Rectangular window </p>

</div>
</div>
<h2 class="groupheader">Typedef Documentation</h2>
<a class="anchor" id="a5ee6b4e30d90218d02ff880f63da55cc"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef enum <a class="el" href="data__path_8h.html#a8db0f12d3b1bb9c6d76e0e5dc26ab1b9">DataPath_chain2DFftSel_e</a>  <a class="el" href="data__path_8h.html#a5ee6b4e30d90218d02ff880f63da55cc">DataPath_chain2DFftSel</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Data path chain selection. </p>
<p>This enum defines the data path chain selection options for 2D FFT </p>

</div>
</div>
<a class="anchor" id="ab1fa47a33abf2d0af6aa33264bc8e357"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef struct <a class="el" href="struct_mmw_demo__data_path_c_q__t.html">MmwDemo_dataPathCQ_t</a> <a class="el" href="data__path_8h.html#ab1fa47a33abf2d0af6aa33264bc8e357">MmwDemo_dataPathCQ</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Millimeter Wave Demo Data Path CQ configuration. </p>
<p>The structure is used to hold all the relevant information for the data path CQ. </p>

</div>
</div>
<a class="anchor" id="a3a731d225c288b027f44937ecfdfa320"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef struct <a class="el" href="struct_mmw_demo___data_path_obj__t.html">MmwDemo_DataPathObj_t</a>  <a class="el" href="data__path_8h.html#a3a731d225c288b027f44937ecfdfa320">MmwDemo_DataPathObj</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Millimeter Wave Demo Data Path Information. </p>
<p>The structure is used to hold all the relevant information for the data path. </p>

</div>
</div>
<h2 class="groupheader">Enumeration Type Documentation</h2>
<a class="anchor" id="a8db0f12d3b1bb9c6d76e0e5dc26ab1b9"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="data__path_8h.html#a8db0f12d3b1bb9c6d76e0e5dc26ab1b9">DataPath_chain2DFftSel_e</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Data path chain selection. </p>
<p>This enum defines the data path chain selection options for 2D FFT </p>
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a class="anchor" id="a8db0f12d3b1bb9c6d76e0e5dc26ab1b9abaeb99736330c512126425d16b24d23e"></a>DATA_PATH_CHAIN_SEPARATE_LOGMAG&#160;</td><td class="fielddoc">
<p>Data path chain that runs separate 2D FFT and Log-mag Calcuation in the HWA. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a8db0f12d3b1bb9c6d76e0e5dc26ab1b9a88ff48379dbdf4a48b2a8b1c53799ec5"></a>DATA_PATH_CHAIN_COMBINED_LOGMAG&#160;</td><td class="fielddoc">
<p>Data path chain that runs log-mag together with 2D FFT in the HWA. </p>
</td></tr>
</table>

</div>
</div>
<a class="anchor" id="a26bcd5b6059599bb33678d60bff66bb4"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="data__path_8h.html#a26bcd5b6059599bb33678d60bff66bb4">DataPath_mode</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Data path mode. </p>
<p>This enum defines if the data path chain is running standalone (such as in a unit test) or if it is running as part of a demo (integrated with ADC buffer) </p>
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a class="anchor" id="a26bcd5b6059599bb33678d60bff66bb4ad2361cf37305369c0f171e7cf5854ea7"></a>DATA_PATH_STANDALONE&#160;</td><td class="fielddoc">
<p>Data path running standalone </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a26bcd5b6059599bb33678d60bff66bb4a9170a68d8071943551fe500cd48d5581"></a>DATA_PATH_WITH_ADCBUF&#160;</td><td class="fielddoc">
<p>Data path integrated with ADC buffer </p>
</td></tr>
</table>

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a class="anchor" id="ace4c5b918f8614a44af79c92a51585c8"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void MmwDemo_config1D_HWA </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="data__path_8h.html#a3a731d225c288b027f44937ecfdfa320">MmwDemo_DataPathObj</a> *&#160;</td>
          <td class="paramname"><em>obj</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Configure HWA for 1D processing. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">obj</td><td>Pointer to data path obj. </td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">none.</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a25cda24aa787fd20bb4e9962df3aafaa"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void MmwDemo_configAngleEstimation_HWA </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="data__path_8h.html#a3a731d225c288b027f44937ecfdfa320">MmwDemo_DataPathObj</a> *&#160;</td>
          <td class="paramname"><em>obj</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>numObjOut</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Configures HWA for angle (azimuth) estimation.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">obj</td><td>Pointer to data path object </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">numObjOut</td><td>Number of detected objects</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">NONE</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="adbfd714ad8ab3114af93ad0460529883"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void MmwDemo_dataPathCfgBuffers </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="data__path_8h.html#a3a731d225c288b027f44937ecfdfa320">MmwDemo_DataPathObj</a> *&#160;</td>
          <td class="paramname"><em>obj</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="struct_mmw_demo_mem_pool__t.html">MmwDemoMemPool_t</a> *&#160;</td>
          <td class="paramname"><em>pool</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Allocate buffers needed for data path. </p>

</div>
</div>
<a class="anchor" id="a1f322283a6721ee9d95a70b23e6fc219"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void MmwDemo_dataPathConfigCommon </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="data__path_8h.html#a3a731d225c288b027f44937ecfdfa320">MmwDemo_DataPathObj</a> *&#160;</td>
          <td class="paramname"><em>obj</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Common configuration of data path processing, required to be done only once. Configures all of EDMA and window RAM of HWA. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">obj</td><td>Pointer to data path obj. </td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">none.</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a433e4de5eccb5bdf35e4c164a0eab0fe"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void MmwDemo_dataPathDeleteSemaphore </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="data__path_8h.html#a3a731d225c288b027f44937ecfdfa320">MmwDemo_DataPathObj</a> *&#160;</td>
          <td class="paramname"><em>obj</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Delete semaphores. </p>

</div>
</div>
<a class="anchor" id="acd40b62a89cf78598f36e5627c05ee38"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void MmwDemo_dataPathObjInit </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="data__path_8h.html#a3a731d225c288b027f44937ecfdfa320">MmwDemo_DataPathObj</a> *&#160;</td>
          <td class="paramname"><em>obj</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">MmwDemo_CliCfg_t *&#160;</td>
          <td class="paramname"><em>cliCfg</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">MmwDemo_CliCommonCfg_t *&#160;</td>
          <td class="paramname"><em>cliCommonCfg</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Initializes data path object with supplied cli config pointer. The cli config points to permanent storage outside of data path object that data path object can refer to anytime during the lifetime of data path object. Data path default values that are not required to come through CLI commands are also set in this function. </p>

</div>
</div>
<a class="anchor" id="ac3e6713170066d2366a19285975bd929"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void MmwDemo_dataPathTrigger1D </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="data__path_8h.html#a3a731d225c288b027f44937ecfdfa320">MmwDemo_DataPathObj</a> *&#160;</td>
          <td class="paramname"><em>obj</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Trigger HWA for 1D processing. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">obj</td><td>Pointer to data path obj. </td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">none.</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a6e1da84b2606d49e662ea15521dfac43"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void MmwDemo_dataPathTriggerAngleEstimation </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="data__path_8h.html#a3a731d225c288b027f44937ecfdfa320">MmwDemo_DataPathObj</a> *&#160;</td>
          <td class="paramname"><em>obj</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Trigger Angle estimation processing.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">obj</td><td>Pointer to data path object</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">NONE</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a2b7eddbfa4381fd56af895b001c6242f"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void MmwDemo_dataPathWait1D </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="data__path_8h.html#a3a731d225c288b027f44937ecfdfa320">MmwDemo_DataPathObj</a> *&#160;</td>
          <td class="paramname"><em>obj</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Waits for 1D processing to finish. This is a blocking function.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">obj</td><td>Pointer to data path object</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">NONE</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a63f3f125b5220269da0f6ca16df433ac"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void MmwDemo_dataPathWaitAngleEstimation </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="data__path_8h.html#a3a731d225c288b027f44937ecfdfa320">MmwDemo_DataPathObj</a> *&#160;</td>
          <td class="paramname"><em>obj</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Wait for angle estimation to complete. This is a blocking function.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">obj</td><td>Pointer to data path object</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">NONE</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="aaaebfd9e699625941533ad1789c19505"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void MmwDemo_dcRangeSignatureCompensation </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="data__path_8h.html#a3a731d225c288b027f44937ecfdfa320">MmwDemo_DataPathObj</a> *&#160;</td>
          <td class="paramname"><em>obj</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Compensation of DC range antenna signature</p>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Not</td><td>Applicable. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a89a15b56fb6d936737537372be6a7d4c"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void MmwDemo_EDMA_errorCallbackFxn </td>
          <td>(</td>
          <td class="paramtype">EDMA_Handle&#160;</td>
          <td class="paramname"><em>handle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">EDMA_errorInfo_t *&#160;</td>
          <td class="paramname"><em>errorInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Call back function for EDMA CC (Channel controller) error as per EDMA API. Declare fatal error if happens, the output errorInfo can be examined if code gets trapped here. </p>

</div>
</div>
<a class="anchor" id="a9b31a42f3f040f1571ca19ca0ea0cbde"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void MmwDemo_EDMA_transferControllerErrorCallbackFxn </td>
          <td>(</td>
          <td class="paramtype">EDMA_Handle&#160;</td>
          <td class="paramname"><em>handle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">EDMA_transferControllerErrorInfo_t *&#160;</td>
          <td class="paramname"><em>errorInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Call back function for EDMA transfer controller error as per EDMA API. Declare fatal error if happens, the output errorInfo can be examined if code gets trapped here. </p>

</div>
</div>
<a class="anchor" id="aa3578be244881cfac86b9834f5626d9a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void MmwDemo_edmaClose </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="data__path_8h.html#a3a731d225c288b027f44937ecfdfa320">MmwDemo_DataPathObj</a> *&#160;</td>
          <td class="paramname"><em>obj</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Close EDMA. </p>

</div>
</div>
<a class="anchor" id="add2b6a63fb8fa199886886a5a227c3d1"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void MmwDemo_edmaInit </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="data__path_8h.html#a3a731d225c288b027f44937ecfdfa320">MmwDemo_DataPathObj</a> *&#160;</td>
          <td class="paramname"><em>obj</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Init EDMA. </p>

</div>
</div>
<a class="anchor" id="a0204c597440aeda4305e9e6cc14d317a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void MmwDemo_edmaOpen </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="data__path_8h.html#a3a731d225c288b027f44937ecfdfa320">MmwDemo_DataPathObj</a> *&#160;</td>
          <td class="paramname"><em>obj</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Open EDMA. </p>

</div>
</div>
<a class="anchor" id="a6a6a571c3437c70a22e5c1b65cd35c6d"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void MmwDemo_hwaClose </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="data__path_8h.html#a3a731d225c288b027f44937ecfdfa320">MmwDemo_DataPathObj</a> *&#160;</td>
          <td class="paramname"><em>obj</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Close HWA instance. </p>

</div>
</div>
<a class="anchor" id="ad48eaa811b6b4d8f1d226204b351e1b2"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void MmwDemo_hwaInit </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="data__path_8h.html#a3a731d225c288b027f44937ecfdfa320">MmwDemo_DataPathObj</a> *&#160;</td>
          <td class="paramname"><em>obj</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Init HWA. </p>

</div>
</div>
<a class="anchor" id="a19cb79f9766382e24069ac8707a1e1fe"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void MmwDemo_hwaOpen </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="data__path_8h.html#a3a731d225c288b027f44937ecfdfa320">MmwDemo_DataPathObj</a> *&#160;</td>
          <td class="paramname"><em>obj</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">SOC_Handle&#160;</td>
          <td class="paramname"><em>socHandle</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Open HWA instance. </p>

</div>
</div>
<a class="anchor" id="ab46a1f7b2b1eea79d22b428e311af4a3"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint8_t* MmwDemo_memPoolAlloc </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="struct_mmw_demo_mem_pool__t.html">MmwDemoMemPool_t</a> *&#160;</td>
          <td class="paramname"><em>pool</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>size</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Utility function for allocating from a static memory pool.</p>
<dl class="section pre"><dt>Precondition</dt><dd>It is assumed that no allocation from l3 will need better than 32-bit alignment (structures with 64-bit prohibited) and so for simplicity, size is assumed to be multiple of 4 bytes</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">pool</td><td>Handle to pool structure. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">size</td><td>Size in bytes to be allocated.</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">pointer</td><td>to beginning of allocated block. NULL indicates could notice allocate. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ab9931601c67498ae69dad047376d4672"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void MmwDemo_memPoolReset </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="struct_mmw_demo_mem_pool__t.html">MmwDemoMemPool_t</a> *&#160;</td>
          <td class="paramname"><em>pool</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Utility function for reseting memory pool.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">pool</td><td>Handle to pool structure.</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">none.</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a2d544fba2a4525a7bca8d3ed5edb17a3"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t MmwDemo_pow2roundup </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>x</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Power of 2 round up function. </p>

</div>
</div>
<a class="anchor" id="a10084eedccc0746f970dda6122ceb122"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void MmwDemo_process2D </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="data__path_8h.html#a3a731d225c288b027f44937ecfdfa320">MmwDemo_DataPathObj</a> *&#160;</td>
          <td class="paramname"><em>obj</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 2D process chain. </p>

</div>
</div>
<a class="anchor" id="adf96cde0ca23b6e9fd9ac3dab9f6a656"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void MmwDemo_processAngle </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="data__path_8h.html#a3a731d225c288b027f44937ecfdfa320">MmwDemo_DataPathObj</a> *&#160;</td>
          <td class="paramname"><em>obj</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Angle estimation process chain. </p>

</div>
</div>
<a class="anchor" id="af6fc200c4242ea6bfbde335b06c1af82"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void MmwDemo_processCfar </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="data__path_8h.html#a3a731d225c288b027f44937ecfdfa320">MmwDemo_DataPathObj</a> *&#160;</td>
          <td class="paramname"><em>obj</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint16_t *&#160;</td>
          <td class="paramname"><em>numDetectedObjects</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 CFAR process chain. </p>

</div>
</div>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
